Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 18-10-2017 11:38:44

origan
Membre
Inscription : 18-10-2017

Soucis avec le gestionnaire de paquet Synaptic [résolu]

Hello !

J'ai eu beau regarder les post sur le forum je n'ai pas réussi à me dépatouiller de ce ptit soucis de traqua : en effet lorsque j'utilise le gestionnaire de paquet, il plante et indique ceci :

"E: La valeur « stable-updates » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: _cache->open() failed, please report."

J'ai essayé pas mal de choses notamment des :
apt-get clean ; update ; upgrade mais rien n'y fait, je suis derrière un proxy, le navigateur fonctionne parfaitement mais les mises  à jour non !
je viens juste d'installer cette machine c'est une Stretch (4.9.0.4) !

Le fichier /etc/apt/sources.list :
#Debian Jessie, dépôt principal + paquets non libres
deb http://httpredir.debian.org/debian/ jessie main contrib non-free
# Debian Jessie, mises-à-jour de sécurité + paquets non libres
deb http://security.debian.org/ jessie/updates main contrib non-free
# Debian Jessie, mises-à-jour "volatiles" + paquets non libres
deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free

Il n'y a pas de fichiers dans : /etc/apt/sources.list.d/

Des idées ?

~~~~~~~~~~~~~~~~

Edit à toto :

On présente plus clairement les listes sources avec la balise du forum Code option apt_sources ainsi :

#Debian Jessie, dépôt principal + paquets non libres
deb http://httpredir.debian.org/debian/ jessie main contrib non-free
# Debian Jessie, mises-à-jour de sécurité + paquets non libres
deb http://security.debian.org/ jessie/updates main contrib non-free
# Debian Jessie, mises-à-jour "volatiles" + paquets non libres
deb http://httpredir.debian.org/debian/ jessie-updates main contrib non-free

Dernière modification par origan (05-12-2017 15:52:24)

Hors ligne

#2 18-10-2017 11:54:34

Caribou22
Membre
Lieu : 22, Côtes d'Armor, Bretagne
Distrib. : Debian Stretch
Noyau : 4.9 amd64
(G)UI : XFCE
Inscription : 10-11-2014
Site Web

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Bonjour smile

Ta Stretch a un sources.list de Jessie... hmm

Hors ligne

#3 18-10-2017 12:14:37

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Exact !! toutefois je viens de mettre le fichier à jour et c'est identique !!

#Debian  dépôt principal + paquets non libres
deb http://httpredir.debian.org/debian/ stretch main contrib non-free
# Debian  mises-à-jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian  mises-à-jour "volatiles" + paquets non libres
deb http://httpredir.debian.org/debian/ stretch-updates main contrib non-free

Hors ligne

#4 18-10-2017 12:26:58

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Bonjour je comprend pas trop comment on peux avoir des sources Jessie quand on vient d'installer Strech
une explication ?

J'ai essayé pas mal de choses notamment des :
apt-get clean ; update ; upgrade mais rien n'y fait, je suis derrière un proxy, le navigateur fonctionne parfaitement mais les mises  à jour non


une chance que les mises à jour n'ont pu etre effectué avec ton sources.list Jessie

edit: que renvoie

lsb_release -ds

Dernière modification par Croutons (18-10-2017 12:29:10)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#5 19-10-2017 11:09:18

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Oups ! En fait j'avais repris une autre config !!

Distributor ID:    Debian
Description:    Debian GNU/Linux 9.2 (stretch)
Release:    9.2
Codename:    stretch

Hors ligne

#6 19-10-2017 13:11:30

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Bonjour,
Tu peux nous copier coller l’intégralité du retour de la commande

apt update

Hors ligne

#7 19-10-2017 14:13:27

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Bonjour
Ce genre de soucis a déja été rencontré dans un autre poste, du moins cela semble similaire
https://debian-facile.org/viewtopic.php?id=19043

que donne la commande

cat /root/.synaptic/synaptic.conf


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#8 19-10-2017 14:30:31

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

chalu a écrit :

Bonjour,
Tu peux nous copier coller l’intégralité du retour de la commande

apt update



En effet il reste bloqué la dessus :
0% [Connexion à httpredir.debian.org (149.20.4.15)] [Connexion à security.deb

Hors ligne

#9 19-10-2017 14:33:54

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Croutons a écrit :

Bonjour
Ce genre de soucis a déja été rencontré dans un autre poste, du moins cela semble similaire
https://debian-facile.org/viewtopic.php?id=19043

que donne la commande

cat /root/.synaptic/synaptic.conf




Ceci :

Synaptic "" {
  ViewMode "0";
  showWelcomeDialog "1";
  ShowAllPkgInfoInMain "false";
  AskRelated "true";
  OneClickOnStatusActions "false";
  delAction "3";
  upgradeType "1";
  update "" {
    type "0";
  };

  undoStackSize "20";
  UseTerminal "false";
  AskQuitOnProceed "false";
  useUserFont "0";
  useUserTerminalFont "0";
  statusColumnPos "0";
  statusColumnVisible "1";
  supportedColumnPos "1";
  supportedColumnVisible "1";
  nameColumnPos "2";
  nameColumnVisible "1";
  sectionColumnPos "3";
  sectionColumnVisible "0";
  componentColumnPos "4";
  componentColumnVisible "0";
  instVerColumnPos "5";
  instVerColumnVisible "1";
  availVerColumnPos "6";
  availVerColumnVisible "1";
  instSizeColumnPos "7";
  instSizeColumnVisible "1";
  downloadSizeColumnPos "8";
  downloadSizeColumnVisible "0";
  descrColumnPos "9";
  descrColumnVisible "1";
  color-install "rgb(138,226,52)";
  color-reinstall "rgb(78,154,6)";
  color-upgrade "rgb(252,233,79)";
  color-downgrade "rgb(173,127,168)";
  color-remove "rgb(239,41,41)";
  color-purge "rgb(164,0,0)";
  color-available "";
  color-available-locked "rgb(164,0,0)";
  color-installed-updated "";
  color-installed-outdated "";
  color-installed-locked "rgb(164,0,0)";
  color-broken "";
  color-new "";
  UseStatusColors "true";
  CleanCache "false";
  AutoCleanCache "true";
  delHistory "-1";
  useProxy "1";
  httpProxy "cache.ha.univ-nantes.fr";
  httpProxyPort "3128";
  ftpProxy "cache.ha.univ-nantes.fr";
  ftpProxyPort "3128";
  noProxy "";
  Install-Recommends "1";
  DefaultDistro "stable-updates";
};



Voir le tuto : Le code, ça pique moins les yeux en couleur

Hors ligne

#10 19-10-2017 14:49:35

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

donc voila c'est bien le meme soucis que sur l'autre poste
la ligne

DefaultDistro "stable-updates";

qui pose probleme
Le soucis avait été résolu en mettant stable mais j'aurais tendance a mettre stretch
tu édites ce fichier en root et tu modifies la ligne DefaultDistro "stable-updates";
essai avec la valeur stretch ...

DefaultDistro "stretch";



nano /root/.synaptic/synaptic.conf


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#11 19-10-2017 15:02:32

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

J'ai essayé :
"Install-Recommends "1";
  DefaultDistro "stretch";
};
" mais non ça passe pas, y'aurait pas un problème de proxy ?

Hors ligne

#12 19-10-2017 15:06:27

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

origan a écrit :

mais non ça passe pas


et c'est quoi le message d'erreur maintenant dans synaptic ?

origan a écrit :

En effet il reste bloqué la dessus :
0% [Connexion à httpredir.debian.org (149.20.4.15)] [Connexion à security.deb


il n'y a vraiment que ça comme retour ?

Hors ligne

#13 19-10-2017 15:10:01

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

tu as bien enregistré tes modifications?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#14 19-10-2017 15:42:38

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Croutons a écrit :

tu as bien enregistré tes modifications?


Bah oui j'ai enregistré le fichier :
"
  Install-Recommends "1";
  DefaultDistro "stretch";
};
Fichier /root/.synaptic/synaptic.conf enregistré"

Si je lance apt update j'ai toujours :"0% [Connexion à httpredir.debian.org (149.20.4.15)] [Connexion à security.debian.org (195.20.242.89)]^C"

Et lorsque j'utilise l'outil graphique synaptique j'ai :"E: La valeur « stable-stretch » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: _cache->open() failed, please report."

:-(

Hors ligne

#15 19-10-2017 15:49:27

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

J'ai rebooter le PC et j'ai cela :

E: La valeur « stretch » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: _cache->open() failed, please report.

Hors ligne

#16 19-10-2017 18:24:02

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

arf j'étais pas sur pour stretch , sur l'autre poste résolu il a mis stable, mais je mettais dit que avec stretch ça passerait aussi
Du coup essai en mettant stable a la place de stretch

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#17 05-12-2017 15:51:31

origan
Membre
Inscription : 18-10-2017

Re : Soucis avec le gestionnaire de paquet Synaptic [résolu]

Merci pour tous vos messages, en supprimant le fichier synaptic.conf puis en indiquant le proxy dans le fichier apt.conf, c'est reparti :-)

Hors ligne

Pied de page des forums